Subject: Re: linux-next: Tree for June 22

From: Thorsten Leemhuis <[email-masked]>
Date: Mon, 22 Jun 2009 19:23:31 +0200

/me drops LKML from CC, as this is linux-next specific

Hi!

Just a quick question from a git rookie:

On 22.06.2009 10:26, Stephen Rothwell wrote:
> On Mon, 22 Jun 2009 18:19:20 +1000 Stephen Rothwell <[email-masked]> wrote:
>>
>> Changes since 20090619:
> 
> The current "git diff --stat -M stable..HEAD^" ends like this:

Side note: above command doesn't work here (Fedora 11, git version 1.6.2.2):

$ git diff --stat -M 'stable..HEAD^'
fatal: ambiguous argument 'stable..HEAD^': unknown revision or path not
in the working tree.
Use '--' to separate paths from revisions

This command OTOH...
$ git diff --stat -M 'origin/stable..origin/HEAD^'
...seems to work just fine and gives the result your posted:

> 	835 files changed, 46602 insertions(+), 14044 deletions(-)

I just mention it because it might be relevant. The real reason why I
write this mail is this:

Is it possible somehow to export the individual patches that are
currently in linux-next? I tried

 git format-patch -M -o ../tmp 'origin/stable..origin/HEAD^'

but that resulted in 3269 files with commits/patches that sum up to
38 MByte. Some of those patches (seems 1919 alone from the KVM tree...)
are quite old. The first one for example is
0001-KVM-mmu-add-missing-dirty-page-tracking-cases.patch :
"""
> From 2959cd13ecc1fbe1b2339937481844ff963f1e7f Mon Sep 17 00:00:00 2001
> From: Avi Kivity <[email-masked]>
> Date: Mon, 19 Feb 2007 14:37:46 +0200
> Subject: [PATCH 0001/3269] KVM: mmu: add missing dirty page tracking cases
> 
> We fail to mark a page dirty in three cases:
> 
> - setting the accessed bit in a pte
> - setting the dirty bit in a pte
> - emulating a write into a pagetable
> 
> This fix adds the missing cases.
> [...]
"""

It afaics was merged in linus tree ages ago:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=bf3f8e86c2e22b9bd1375be1bbbd67384dba4342

I suspect I do something wrong, but I could not find what exactly what
I'm doing wrong... Could anybody give me some insight/help? tia!

CU
knurd